<html>
<head>
  <title></title>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.0/jquery.min.js"></script>
  <script src="https://code.jquery.com/ui/1.12.0/jquery-ui.min.js"></script>
  <style>
    table tr td {
      padding: 10px;
      border: 1px solid;
    }
    table tr {
      cursor: pointer;
    }
    table
    {
      border-collapse:collapse;
    }
    table, td, th
    {
      border:1px solid black;
    }
    .bitacoratable {
      overflow-y: auto;
      float:left;
    }
    #table1 {
      margin-right: 100px;
    }
    .childgrid tr { cursor: pointer; }
    .selectedRow, .selectedRow:active, #table1 .childgrid tr.selectedRow:active {
      background-color: #E7E7E7;
      cursor: move;
    }
  </style>
  <script>
    $(document).ready(function() {
      $("#table1 tbody tr input:checkbox").click(function() {
        $(this).parent().parent().toggleClass("selectedRow");
      });
      //$(document).on("click", ".childgrid tr", function () {
      //  $(this).toggleClass("selectedRow");
      //});
      // Selection for source table. Eg: #table2 .childgrid, #table3 .childgrid, #table4 .childgrid
      $("#table1 .childgrid tbody tr").draggable({
        helper: function(){
          var selected = $('.childgrid tbody tr.selectedRow');
          //if (selected.length === 0) {
          //  selected = $(this).addClass('selectedRow');
          //}
          var container = $('<div/>').attr('id', 'draggingContainer');
          container.append(selected.clone().removeClass("selectedRow"));
          //$(this).removeClass('selectedRow');
          return container;
        }
      });

      // Selection for destination table. Eg: #table2 .childgrid, #table3 .childgrid, #table4 .childgrid
      $("#table2 .childgrid").droppable({
        drop: function (event, ui) {
          //console.log(ui.helper.children().length);

          $.each(ui.helper.children(), function (index, value) {
            console.log(value);
          });

          $(this).append(ui.helper.children());
          //$('.selectedRow').remove();
        }
      });
    });
  </script>
</head>
<body>
  <div id="table1" class="bitacoratable">
    <table class="childgrid">
      <thead>
        <tr>
          <th><input type="checkbox" id="" class="checkbox-product" /></th>
          <th>a</th>
          <th>b</th>
        </tr>
      </thead>
      <tbody>
        <tr id="tr2" class="draggable_tr">
          <td><input type="checkbox" id="" class="checkbox-product" /></td>
          <td>2</td>
          <td>Student 2</td>
        </tr>
        <tr id="tr3" class="draggable_tr">
          <td><input type="checkbox" id="" class="checkbox-product" /></td>
          <td>3</td>
          <td>Student 3</td>
        </tr>
        <tr id="tr4" class="draggable_tr">
          <td><input type="checkbox" id="" class="checkbox-product" /></td>
          <td>4</td>
          <td>Student 4</td>
        </tr>
        <tr id="tr5" class="draggable_tr">
          <td><input type="checkbox" id="" class="checkbox-product" /></td>
          <td>5</td>
          <td>Student 5</td>
        </tr>
      </tbody>
    </table>
  </div>

  <div id="table2" class="bitacoratable">
    <table class="childgrid">
      <thead>
        <tr>
          <th>a</th>
          <th>b</th>
        </tr>
      </thead>
      <tbody>
      <tr class="draggable_tr">
        <td>1</td>
        <td>Student 1</td>
      </tr>
      <tr class="draggable_tr">
        <td>2</td>
        <td>Student 2</td>
      </tr>
      <tr class="draggable_tr">
        <td>3</td>
        <td>Student 3</td>
      </tr>
      <tr class="draggable_tr">
        <td>4</td>
        <td>Student 4</td>
      </tr>
      <tr class="draggable_tr">
        <td>5</td>
        <td>Student 5</td>
      </tr>
      </tbody>
    </table>
  </div>
</body>
</html>
